package xugu

import (
	"database/sql/driver"
	"fmt"
	"net"
)

type xugusqlConn struct {
	conn net.Conn
	/* xugusqlResult */
	affectedRows int
	insertId     int
}

func (self *xugusqlConn) Begin() (driver.Tx, error) {

	err := self.exec("set auto_commit off;")
	if err != nil {
		return nil, self.get_error()
	}

	return &xugusqlTx{tconn: self}, nil
}

func (self *xugusqlConn) exec(query string) error {

	return nil
}

func (self *xugusqlConn) Prepare(query string) (driver.Stmt, error) {

	return nil, nil
}

func (self *xugusqlConn) Close() error {
	fmt.Println("Close connection")
	return nil
}
